package com.usoftchina.qywx.sdk.dto;

import java.util.List;

/**
 * @author yingp
 */
public class GetDepartmentListResp extends BaseResp {
    private List<Department> department;

    public List<Department> getDepartment() {
        return department;
    }

    public void setDepartment(List<Department> department) {
        this.department = department;
    }

    public static class Department {
        private Integer id;
        private String name;
        private String name_en;
        /**
         * 父亲部门id。根部门为1
         */
        private Integer parentid;
        /**
         * 在父部门中的次序值。order值大的排序靠前。值范围是[0, 2^32)
         */
        private Long order;

        public Integer getId() {
            return id;
        }

        public void setId(Integer id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getName_en() {
            return name_en;
        }

        public void setName_en(String name_en) {
            this.name_en = name_en;
        }

        public Integer getParentid() {
            return parentid;
        }

        public void setParentid(Integer parentid) {
            this.parentid = parentid;
        }

        public Long getOrder() {
            return order;
        }

        public void setOrder(Long order) {
            this.order = order;
        }
    }
}
